# PetscViewerDrawGetDraw

Returns PetscDraw object from PetscViewer object. This PetscDraw object may then be used to perform graphics using PetscDrawXXX() commands.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscViewerDrawGetDraw(PetscViewer viewer,PetscInt  windownumber,PetscDraw *draw)

Not collective (but PetscDraw returned will be parallel object if PetscViewer is)

### Input Parameters

| viewer | - the PetscViewer (created with PetscViewerDrawOpen())
| windownumber | - indicates which subwindow (usually 0)

### Ouput Parameter

draw -the draw object

### See Also

PetscViewerDrawGetLG(), PetscViewerDrawGetAxis(), PetscViewerDrawOpen()

Level:intermediate
Location: src/sys/viewer/impls/draw/drawv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex2f.F.html